<?php
function autocomplete(){
	$rs = new xajaxResponse();
	$admin = new UAdmin();
	$rs->script('var res = '.JSON::array2json($admin->nombreEstacionamientos($_GET['id'][0])).';autocomplete(res);');
	return $rs;
}

function ligar($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!ctype_digit($post['usu_id']) || $post['usu_id'] <= 0){
		$mError.='<div>No se pudo ligar al usuario con el estacionamiento.</div>';
	}
	if(!ctype_digit($post['est_id']) || $post['est_id'] <= 0){
		$mError .= '<div>Error en el estacionamiento, este campo es obligatorio.</div>';
	}
	if(empty($post['f_inicio']) || !Validacion::fechaMenorHoy($post['f_inicio'])){
		$mError .= '<div>Error en la fecha de inicio, este campo es obligario.</div>';
	}
	if(empty($post['f_termino']) || !Validacion::fechaMayorHoy($post['f_termino'])){
		$mError .= '<div>Error en la fecha de termino, este campo es obligario.</div>';
	}
	if($post['estado'] != 0 && $post['estado'] != 1){
		$mError .= '<div>Debe seleccionar un estado, este campo es obligatorio.</div>';
	}
	$admin = new UAdmin();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $admin->nuevoUAE($post['usu_id'],$post['est_id'],$post['f_inicio'],$post['f_termino'],$post['estado'])){
		$rs->assign('mAcierto','innerHTML','El usuario se ligo con el estacionamiento correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'a-usuarios/'.$post['usu_id'],1);
		return $rs;
	}else{
		$mError.='<div>No se pudo ligar al usuario con el estacionamiento.</div>';
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

// $xajax->configure('debug',true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
$xajax->register(XAJAX_FUNCTION,'autocomplete');
$xajax->register(XAJAX_FUNCTION,'ligar');
?>